<?php
/**
 * All settings related to main banner post.
 *
 * @package BlogAura
 */
$wp_customize->add_section(
	'main_banner_post',
	array(
		'title' => esc_html__( 'Main Banner Section', 'blogaura' ),
		'panel' => 'front_page_theme_options_panel',
	)
);

$wp_customize->add_setting(
    'blogaura_options[enable_main_banner_section]',
    array(
        'default'           => $blogaura_default['enable_main_banner_section'],
        'sanitize_callback' => 'blogaura_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogaura_options[enable_main_banner_section]',
    array(
        'label'       => esc_html__( 'Enable Main Banner', 'blogaura' ),
        'section'     => 'main_banner_post',
        'type'        => 'checkbox',
    )
);



$wp_customize->add_setting(
    'blogaura_section_seperator_main_banner_column_1',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new BlogAura_Seperator_Control(
        $wp_customize,
        'blogaura_section_seperator_main_banner_column_1',
        array(
            'label'         => esc_html__( 'Main Banner Slider', 'blogaura' ),
            'settings' => 'blogaura_section_seperator_main_banner_column_1',
            'section' => 'main_banner_post',
        )
    )
);


$wp_customize->add_setting(
    'blogaura_options[banner_slider_post_category]',
    array(
        'default'           => $blogaura_default['banner_slider_post_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new BlogAura_Dropdown_Taxonomies_Control(
        $wp_customize,
        'blogaura_options[banner_slider_post_category]',
        array(
            'label'           => __( 'Choose Slider Post Category', 'blogaura' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'blogaura' ),
            'section'         => 'main_banner_post',
        )
    )
);







$wp_customize->add_setting(
    'blogaura_section_seperator_main_banner_column_2',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new BlogAura_Seperator_Control(
        $wp_customize,
        'blogaura_section_seperator_main_banner_column_2',
        array(
            'label'         => esc_html__( 'List Below Slider', 'blogaura' ),
            'settings' => 'blogaura_section_seperator_main_banner_column_2',
            'section' => 'main_banner_post',
        )
    )
);

$wp_customize->add_setting(
    'blogaura_options[banner_lists_post_category]',
    array(
        'default'           => $blogaura_default['banner_lists_post_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new BlogAura_Dropdown_Taxonomies_Control(
        $wp_customize,
        'blogaura_options[banner_lists_post_category]',
        array(
            'label'           => __( 'Choose List Category', 'blogaura' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'blogaura' ),
            'section'         => 'main_banner_post',
        )
    )
);

$wp_customize->add_setting(
    'blogaura_section_seperator_slider_banner',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new BlogAura_Seperator_Control(
        $wp_customize,
        'blogaura_section_seperator_slider_banner',
        array(
            'label'         => esc_html__( 'Main Banner Section Meta', 'blogaura' ),
            'settings' => 'blogaura_section_seperator_slider_banner',
            'section' => 'main_banner_post',
        )
    )
);


$wp_customize->add_setting(
    'blogaura_options[enable_main_banner_author_meta]',
    array(
        'default' => $blogaura_default['enable_main_banner_author_meta'],
        'sanitize_callback' => 'blogaura_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogaura_options[enable_main_banner_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'blogaura'),
        'section' => 'main_banner_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'blogaura_options[select_main_banner_author_meta]',
    array(
        'default' => $blogaura_default['select_main_banner_author_meta'],
        'sanitize_callback' => 'blogaura_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogaura_options[select_main_banner_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'blogaura'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => blogaura_author_meta(),
    )
);
$wp_customize->add_setting(
    'blogaura_options[main_banner_author_meta_title]',
    array(
        'default' => $blogaura_default['main_banner_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogaura_options[main_banner_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'blogaura'),
        'section' => 'main_banner_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'blogaura_options[enable_main_banner_date_meta]',
    array(
        'default' => $blogaura_default['enable_main_banner_date_meta'],
        'sanitize_callback' => 'blogaura_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogaura_options[enable_main_banner_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'blogaura'),
        'section' => 'main_banner_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'blogaura_options[select_main_banner_date]',
    array(
        'default' => $blogaura_default['select_main_banner_date'],
        'sanitize_callback' => 'blogaura_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogaura_options[select_main_banner_date]',
    array(
        'label' => esc_html__('Select Single Date Meta', 'blogaura'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => blogaura_date_meta(),
    )
);
$wp_customize->add_setting(
    'blogaura_options[select_main_banner_date_meta_title]',
    array(
        'default' => $blogaura_default['select_main_banner_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogaura_options[select_main_banner_date_meta_title]',
    array(
        'label' => __('Date Text', 'blogaura'),
        'section' => 'main_banner_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'blogaura_options[select_main_banner_date_format]',
    array(
        'default' => $blogaura_default['select_main_banner_date_format'],
        'sanitize_callback' => 'blogaura_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogaura_options[select_main_banner_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'blogaura'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => blogaura_get_date_formats(),
    )
);
$wp_customize->add_setting(
    'blogaura_options[enable_main_banner_category_meta]',
    array(
        'default' => $blogaura_default['enable_main_banner_category_meta'],
        'sanitize_callback' => 'blogaura_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogaura_options[enable_main_banner_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'blogaura'),
        'section' => 'main_banner_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'blogaura_options[select_main_banner_number_of_category]',
    array(
        'default' => $blogaura_default['select_main_banner_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'blogaura_options[select_main_banner_number_of_category]',
    array(
        'label' => __('Number of Category', 'blogaura'),
        'section' => 'main_banner_post',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'blogaura_options[main_banner_category_label]',
    array(
        'default' => $blogaura_default['main_banner_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogaura_options[main_banner_category_label]',
    array(
        'label' => __('Category Label', 'blogaura'),
        'section' => 'main_banner_post',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'blogaura_options[select_main_banner_category_color]',
    array(
        'default' => $blogaura_default['select_main_banner_category_color'],
        'sanitize_callback' => 'blogaura_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogaura_options[select_main_banner_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'blogaura'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => blogaura_category_color(),
    )
);